/// <reference types="node" />
export interface UpdateRect {
    x: number;
    y: number;
    width: number;
    height: number;
    count: number;
    expirationTime: number;
}
export declare type UpdateRects = Map<HTMLElement, UpdateRect>;
export interface State {
    canvas: HTMLCanvasElement | null;
    updates: UpdateRects;
    timer: NodeJS.Timeout | null;
}
export interface HighlightOptions {
    colors?: string[];
    outlineColor?: string;
    displayDuration?: number;
    maxDisplayDuration?: number;
    container?: HTMLElement;
}
export declare function newHighlight({ colors, outlineColor, displayDuration, maxDisplayDuration, container, }?: HighlightOptions): {
    update(dom: HTMLElement): void;
    destroy: () => void;
};
